Get Asset
curl --request GET \
--url https://api.topsort.com/public/v1/assets/asset/{asset_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/assets/asset/{asset_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/assets/asset/{asset_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"status": "pending_upload",
"productIds": [
"<string>"
],
"brands": [
"<string>"
],
"metadata": {},
"isExternal": true,
"collections": [
"<string>"
],
"mimetype": "<string>",
"url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Assets API
Get Asset
Retrieves an asset.
GET
/
public
/
v1
/
assets
/
asset
/
{asset_id}
Get Asset
Authorizations
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Path Parameters
Asset ID.
Response
Successful Response
The id of the asset.
The name of the asset.
Approval status of the asset
Available options:
pending_upload, pending_approval, upload_error, approved, rejected The product ids that the asset is associated with.
The brands that the asset is associated with.
The metadata associated with the asset.
Show child attributes
Show child attributes
Indicates if the asset is externally hosted.
The collections that the asset is associated with.
The mimetype of the asset.
The url of the asset.
Required string length:
1 - 2083Was this page helpful?